Bug 120135 - Normal user cannot access Samba configuration files
Summary: Normal user cannot access Samba configuration files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-06 11:00 UTC by Albert Strasheim
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 1.10.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 17:53:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert Strasheim 2004-04-06 11:00:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Normal users cannot access the contents of the /etc/samba directory.
smbclient requires acesss to /etc/samba/smb.conf. Starting smbclient
as a normal user produces the following SELinux error:

Apr  6 13:04:41 asok kernel: audit(1081249481.634:0): avc:  denied  {
search } for  pid=3815 exe=/usr/bin/smbclient name=samba dev=hda5
ino=754841 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:samba_etc_t tclass=dir

Version-Release number of selected component (if applicable):
samba-3.0.3-1.pre1 policy-1.9.2-10

How reproducible:
Always

Steps to Reproduce:
1. start smbclient as normal user
    

Actual Results:  smbclient fails to read /etc/samba/smb.conf

Expected Results:  smbclient should work

Additional info:  Users should probably be able to access files such
as /etc/samba/smbpasswd as well.

Comment 1 Daniel Walsh 2004-04-07 00:21:47 UTC
Allowed in policy-1.10.1-2



Note You need to log in before you can comment on or make changes to this bug.